@import "@flaticon/flaticon-uicons/css/all/all.css";
@import "../../public/vendor/laraberg/css/laraberg.css";
@import "leaflet/dist/leaflet.css";
@import "itinerary.css";
@import "planning-depart.css";
@import "materialcolor.css";
@import "progress.css";


div:hover, main:hover, ol:hover, pre:hover, span:hover, ul:hover {
    scrollbar-color: #9b2743 transparent;
}

.scroll {
    --bs-scrollbar-color: black !important;
    scrollbar-width: auto !important;
}

.bg-info, .bg-primary, .bg-success, .bg-danger {
    color: white;
}

.border-inoui-first {
    border-color: #9b2743 !important;
}

.border-inoui-second {
    border-color: #007398 !important;
}

.form-check.form-check-ter .form-check-input:checked {
    background-color: #034EA2 !important;
}

.border-color-ter {
    border-color: #034EA2 !important;
}

.text-color-ter {
    color: #034EA2 !important;
}

.bg-color-ter {
    background-color: #034EA2 !important;
}

.form-check.form-check-tgv .form-check-input:checked {
    background-color: #9b2743 !important;
}

.border-color-tgv {
    border-color: #9b2743 !important;
}

.text-color-tgv {
    color: #9b2743 !important;
}

.bg-color-tgv {
    background-color: #9b2743 !important;
}

.form-check.form-check-ic .form-check-input:checked {
    background-color: #7B1791 !important;
}

.border-color-ic {
    border-color: #7B1791 !important;
}

.text-color-ic {
    color: #7B1791 !important;
}

.bg-color-ic {
    background-color: #7B1791 !important;
}

.form-check.form-check-transilien .form-check-input:checked {
    background-color: #83BF00 !important;
}

.border-color-transilien {
    border-color: #83BF00 !important;
}

.text-color-transilien {
    color: #83BF00;
}

.bg-color-transilien {
    background-color: #83BF00 !important;
}

.text-color-transilien {
    color: #83BF00 !important;
}

.bg-color-transilien {
    background-color: #83BF00 !important;
}

.bg-color-eva {
    background-color: #010830 !important;
}

.text-color-eva {
    color: #010830 !important;
}

.border-color-eva {
    border-color: #010830 !important;
}


.text-color-eva-arrival {
    color: #08CF85 !important;
}

.bg-color-eva-arrival {
    background-color: #08CF85 !important;
}

.border .border-color-eva-arrival {
    border-color: #08CF85 !important;
}

.text-color-eva-departure {
    color: #1C3A83 !important;
}

.bg-color-eva-departure {
    background-color: #1C3A83 !important;
}

.border .border-color-eva-departure {
    border-color: #1C3A83 !important;
}

.btn .bg-color-eva {
    background-color: #010830 !important;
    color: white !important;
}

.right-arrow {
    border-left: 15px solid #ffffff96;
    left: 677px;
    position: relative;
    top: 75px;
    border-bottom: 15px solid transparent;
    border-top: 15px solid transparent;
    height: 0;
    width: 0;
}

.shop-description {
    background-color: #fffffff0;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    left: 218px;
    padding: 15px;
    position: relative;
    width: 460px;
}

.custom .leaflet-popup-tip,
.custom .leaflet-popup-content-wrapper {
    background: #e93434;
    color: #ffffff;
}

.fs-italic {
    font-style: italic;
}

.fs-underline {
    text-decoration: underline;
}

.fs-strike {
    text-decoration: line-through;
}

.fs-strike .strike-danger {
    text-decoration-color: #e93434;
}

.marquee-rtl {
    width: 100%;
    height: auto;
    overflow: hidden; /* masque tout ce qui dépasse */
    white-space: nowrap;
    animation: defilement-rtl 15s infinite linear;
    animation-name: defilement-rtl; /* référence à la règle @keyframes mise en oeuvre */
    animation-duration: 15s; /* valeur à ajuster suivant la longueur du message */
    animation-iteration-count: infinite; /* boucle continue */
    animation-timing-function: linear;
}

.rounded-4 {
    border-radius: 825px !important;
}

.rounded-5 {
    border-radius: 1025px !important;
}

#slide_used .noUi-handle {
    width: 24px;
    height: 24px;
    top: -4.5px;
    border-radius: 50%;
    outline: 0;
    background: #146aef;
}

#slide_ancien .noUi-handle {
    width: 24px;
    height: 24px;
    top: -4.5px;
    border-radius: 50%;
    outline: 0;
    background: #3cef14;
}

#slide_used .noUi-connect {
    background: #c0392b;
}

.shadow-box {
    -webkit-box-shadow: 0px 5px 21px 12px rgba(0, 0, 0, 0.63), inset 0px 5px 21px 12px rgba(0, 0, 0, 0.21);
    box-shadow: 0px 5px 21px 12px rgba(0, 0, 0, 0.63), inset 0px 5px 21px 12px rgba(0, 0, 0, 0.21);
}

.itinerary-bar {
    background-color: rgb(118, 43, 226);
    height: 0.1875rem;
    left: -0.0625rem;
    position: absolute;
    top: 50%;
    transform: translate(-100%, -50%);
    width: 0.625rem;
}

.bg-striped {
    background-image: linear-gradient(45deg, rgba(255, 255, 255, .15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%, transparent 75%, transparent);
    background-size: 3rem 3rem;
}

.w-10 {
    width: 10% !important;
}

.w-20 {
    width: 20% !important;
}

.w-30 {
    width: 30% !important;
}

.w-35 {
    width: 35% !important;
}

.w-40 {
    width: 40% !important;
}

.w-45 {
    width: 45% !important;
}

.w-55 {
    width: 55% !important;
}

.w-60 {
    width: 60% !important;
}

.w-65 {
    width: 65% !important;
}

.w-70 {
    width: 70% !important;
}

.w-75 {
    width: 75% !important;
}

.h-20{height: 20% !important;}
.h-30{height: 30% !important;}
.h-35{height: 35% !important;}
.h-40{height: 40% !important;}
.h-45{height: 45% !important;}
.h-55{height: 55% !important;}


@keyframes defilement-rtl {
    0% {
        transform: translate3d(0, 0, 0); /* position initiale à droite */
    }
    100% {
        transform: translate3d(-100%, 0, 0); /* position finale à gauche */
    }
}

.gradient-wave {
    overflow: auto;
    background: linear-gradient(315deg, rgba(101, 0, 94, 1) 3%, rgba(60, 132, 206, 1) 38%, rgba(48, 238, 226, 1) 68%, rgba(255, 25, 25, 1) 98%);
    animation: gradient 15s ease infinite;
    background-size: 400% 400%;
    background-attachment: fixed;
}

.popover-inverse {
    width: 450px!important;
}

@keyframes gradient {
    0% {
        background-position: 0% 0%;
    }
    50% {
        background-position: 100% 100%;
    }
    100% {
        background-position: 0% 0%;
    }
}

.wave {
    background: rgb(255 255 255 / 25%);
    border-radius: 1000% 1000% 0 0;
    position: fixed;
    width: 200%;
    height: 12em;
    animation: wave 10s -3s linear infinite;
    transform: translate3d(0, 0, 0);
    opacity: 0.8;
    bottom: 0;
    left: 0;
    z-index: -1;
}

.wave:nth-of-type(2) {
    bottom: -1.25em;
    animation: wave 18s linear reverse infinite;
    opacity: 0.8;
}

.wave:nth-of-type(3) {
    bottom: -2.5em;
    animation: wave 20s -1s reverse infinite;
    opacity: 0.9;
}

@keyframes wave {
    2% {
        transform: translateX(1);
    }

    25% {
        transform: translateX(-25%);
    }

    50% {
        transform: translateX(-50%);
    }

    75% {
        transform: translateX(-25%);
    }

    100% {
        transform: translateX(1);
    }
}
